package com.srs.stureg.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 srs_dorm_select
 * 
 * @author srs
 * @date 2023-07-24
 */
public class SrsDormSelect extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 宿舍房间号 */
    @Excel(name = "宿舍房间号")
    private String dorms;

    /** 班级名称 */
    @Excel(name = "班级名称")
    private String className;

    /** 班级编号 */
    @Excel(name = "班级编号")
    private String classCode;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDorms(String dorms) 
    {
        this.dorms = dorms;
    }

    public String getDorms() 
    {
        return dorms;
    }
    public void setClassName(String className) 
    {
        this.className = className;
    }

    public String getClassName() 
    {
        return className;
    }
    public void setClassCode(String classCode) 
    {
        this.classCode = classCode;
    }

    public String getClassCode() 
    {
        return classCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dorms", getDorms())
            .append("className", getClassName())
            .append("classCode", getClassCode())
            .toString();
    }
}
